OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
waypoint_widget.h File Reference

Types related to the waypoint widgets. More...

Go to the source code of this file.

## Enumerations
enum | WaypointWidgets { WID_W_CAPTION, WID_W_VIEWPORT, WID_W_CENTER_VIEW, WID_W_RENAME, WID_W_SHOW_VEHICLES }
| Widgets of the WaypointWindow class. More...

## Detailed Description

Types related to the waypoint widgets.

Definition in file waypoint_widget.h.

## Enumeration Type Documentation

enum WaypointWidgets

Widgets of the WaypointWindow class.

Enumerator:

  WID_W_CAPTION | Caption of window.
  WID_W_VIEWPORT | The viewport on this waypoint.
  WID_W_CENTER_VIEW | Center the main view on this waypoint.
  WID_W_RENAME | Rename this waypoint.
  WID_W_SHOW_VEHICLES | Show the vehicles visiting this waypoint.

Definition at line 16 of file waypoint_widget.h.